commit:     4a54b75971f92d2dc701c6789c72b7b4cef9b1d2
Author:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 21 20:07:12 2021 +0000
Commit:     Ionen Wolkens <ionen <AT> gentoo <DOT> org>
CommitDate: Thu Oct 21 21:11:15 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4a54b759

www-client/qutebrowser: add 2.4.0

Signed-off-by: Ionen Wolkens <ionen <AT> gentoo.org>

 www-client/qutebrowser/Manifest                 |   1 +
 www-client/qutebrowser/qutebrowser-2.4.0.ebuild | 122 ++++++++++++++++++++++++
 2 files changed, 123 insertions(+)

diff --git a/www-client/qutebrowser/Manifest b/www-client/qutebrowser/Manifest
index 3e3b2438d15..f42c7956d26 100644
--- a/www-client/qutebrowser/Manifest
+++ b/www-client/qutebrowser/Manifest
@@ -1 +1,2 @@
 DIST qutebrowser-2.3.1.tar.gz 6244845 BLAKE2B 
55dff9141e65f3e65701027e81106bc7b5ebe98d982111055d3b18ae91470603848107139845b1af248bb98074e39a2e7ceb9ab3e1bf523a52c81aaddda4f211
 SHA512 
1798e4659a8e53f53df6fe0307d6cfaf4641fda1b68facec90d825c0fa04ffa32867d51e45c92cd57ebbb4240085592dc8cd9fc120abea9803b2c1aab7205239
+DIST qutebrowser-2.4.0.tar.gz 6074001 BLAKE2B 
9eda4a72b9050d6992681803b69778d954654fffd78aa524dfba9bddcbb8e54bd84e6725c30d826dddeb45b6b76e06d7401c7ad22d15a153b4cc1104e791cc84
 SHA512 
e4341a57a259a31e1c665eec34329594bb3d8390e3c612a15c1857ff12cb9e1f5b30954dd0cd91bee0a40ec0d97c59349ab7cd699626434a89c7d40e5dd961f7

diff --git a/www-client/qutebrowser/qutebrowser-2.4.0.ebuild 
b/www-client/qutebrowser/qutebrowser-2.4.0.ebuild
new file mode 100644
index 00000000000..258222d563c
--- /dev/null
+++ b/www-client/qutebrowser/qutebrowser-2.4.0.ebuild
@@ -0,0 +1,122 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_SINGLE_IMPL=1
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1 optfeature xdg
+
+if [[ ${PV} == 9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/qutebrowser/qutebrowser.git";
+else
+       
SRC_URI="https://github.com/qutebrowser/qutebrowser/releases/download/v${PV}/${P}.tar.gz";
+       KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+DESCRIPTION="Keyboard-driven, vim-like browser based on PyQt5 and QtWebEngine"
+HOMEPAGE="https://www.qutebrowser.org/";
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="+adblock widevine"
+
+RDEPEND="
+       dev-qt/qtcore:5[icu]
+       dev-qt/qtgui:5[png]
+       $(python_gen_cond_dep 
'dev-python/importlib_resources[${PYTHON_USEDEP}]' python3_8)
+       $(python_gen_cond_dep '
+               >=dev-python/colorama-0.4.4[${PYTHON_USEDEP}]
+               >=dev-python/jinja-3.0.2[${PYTHON_USEDEP}]
+               >=dev-python/markupsafe-2.0.1[${PYTHON_USEDEP}]
+               dev-python/pygments[${PYTHON_USEDEP}]
+               
dev-python/PyQt5[${PYTHON_USEDEP},dbus,declarative,multimedia,gui,network,opengl,printsupport,sql,widgets]
+               dev-python/PyQtWebEngine[${PYTHON_USEDEP}]
+               >=dev-python/pyyaml-6.0[${PYTHON_USEDEP}]
+               >=dev-python/typing-extensions-3.10.0.2[${PYTHON_USEDEP}]
+               >=dev-python/zipp-3.6.0[${PYTHON_USEDEP}]
+               adblock? ( >=dev-python/adblock-0.5.0[${PYTHON_USEDEP}] )
+       ')
+       widevine? ( www-plugins/chrome-binary-plugins )"
+BDEPEND="
+       app-text/asciidoc
+       $(python_gen_cond_dep '
+               test? (
+                       dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+                       dev-python/cheroot[${PYTHON_USEDEP}]
+                       dev-python/flask[${PYTHON_USEDEP}]
+                       dev-python/hypothesis[${PYTHON_USEDEP}]
+                       dev-python/pytest-bdd[${PYTHON_USEDEP}]
+                       dev-python/pytest-mock[${PYTHON_USEDEP}]
+                       dev-python/pytest-qt[${PYTHON_USEDEP}]
+                       dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+                       dev-python/pytest-xvfb[${PYTHON_USEDEP}]
+                       dev-python/tldextract[${PYTHON_USEDEP}]
+               )
+       ')"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+
+       if use widevine; then
+               sed "/yield from _qtwebengine_settings_args/a\    yield 
'--widevine-path=${EPREFIX}/usr/$(get_libdir)/chromium-browser/WidevineCdm/_platform_specific/linux_x64/libwidevinecdm.so'"
 \
+                       -i ${PN}/config/qtargs.py || die
+       fi
+
+       sed -i '/setup.py/d' misc/Makefile || die
+
+       [[ ${PV} != 9999 ]] || ${EPYTHON} scripts/asciidoc2html.py || die
+
+       # these plugins/tests are unnecessary here and have extra dependencies
+       sed -e '/pytest-benchmark/d;s/--benchmark[^ ]*//' \
+               -e '/pytest-instafail/d;s/--instafail//' \
+               -i pytest.ini || die
+       [[ ${PV} == 9999 ]] || rm tests/unit/scripts/test_problemmatchers.py || 
die
+       [[ ${PV} != 9999 ]] || rm tests/unit/scripts/test_run_vulture.py || die
+}
+
+python_test() {
+       local EPYTEST_DESELECT=(
+               # end2end and other IPC tests are broken with "Name error" if
+               # socket path is over 104 characters (=124 in /var/tmp/portage)
+               # https://github.com/qutebrowser/qutebrowser/issues/888 (not 
just OSX)
+               tests/end2end
+               tests/unit/misc/test_ipc.py
+               # tests that don't know about our newer qtwebengine
+               
tests/unit/browser/webengine/test_webenginedownloads.py::TestDataUrlWorkaround
+               tests/unit/utils/test_version.py::TestChromiumVersion
+               # needs qtwebkit and isn't skipped by default
+               tests/unit/config/test_websettings.py::test_config_init
+               # may misbehave depending on installed old python versions
+               tests/unit/misc/test_checkpyver.py::test_old_python
+       )
+       use widevine && EPYTEST_DESELECT+=( tests/unit/config/test_qtargs.py )
+
+       # skip benchmarks (incl. _tree), and warning tests broken by -Wdefault
+       epytest -k 'not _bench and not _matches_tree and not _warning'
+}
+
+python_install_all() {
+       emake -f misc/Makefile DESTDIR="${D}" PREFIX="${EPREFIX}/usr" install
+
+       rm "${ED}"/usr/share/${PN}/scripts/{mkvenv,utils}.py || die
+       fperms -x 
/usr/share/${PN}/{scripts/cycle-inputs.js,userscripts/README.md}
+       python_fix_shebang "${ED}"/usr/share/${PN}
+
+       einstalldocs
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       optfeature "PDF display support" www-plugins/pdfjs
+
+       if [[ ! ${REPLACING_VERSIONS} ]]; then
+               elog "Note that optional scripts in 
${EROOT}/usr/share/${PN}/{user,}scripts"
+               elog "have additional dependencies not covered by this ebuild, 
for example"
+               elog "view_in_mpv needs media-video/mpv setup to use yt-dlp or 
youtube-dl."
+       fi
+}

Reply via email to